diff --git a/src/backend/storage/lmgr/lwlock.c b/src/backend/storage/lmgr/lwlock.c
new file mode 100644
index 7ca8dc0..d91ac8c
*** a/src/backend/storage/lmgr/lwlock.c
--- b/src/backend/storage/lmgr/lwlock.c
*************** LWLockDequeueSelf(LWLock *lock)
*** 879,885 ****
  #ifdef LOCK_DEBUG
  	{
  		/* not waiting anymore */
! 		uint32 nwaiters = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  		Assert(nwaiters < MAX_BACKENDS);
  	}
  #endif
--- 879,885 ----
  #ifdef LOCK_DEBUG
  	{
  		/* not waiting anymore */
! 		uint32 nwaiters PG_USED_FOR_ASSERTS_ONLY = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  		Assert(nwaiters < MAX_BACKENDS);
  	}
  #endif
*************** LWLockAcquireCommon(LWLock *lock, LWLock
*** 1045,1051 ****
  #ifdef LOCK_DEBUG
  		{
  			/* not waiting anymore */
! 			uint32 nwaiters = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  			Assert(nwaiters < MAX_BACKENDS);
  		}
  #endif
--- 1045,1051 ----
  #ifdef LOCK_DEBUG
  		{
  			/* not waiting anymore */
! 			uint32 nwaiters PG_USED_FOR_ASSERTS_ONLY = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  			Assert(nwaiters < MAX_BACKENDS);
  		}
  #endif
*************** LWLockAcquireOrWait(LWLock *lock, LWLock
*** 1202,1208 ****
  #ifdef LOCK_DEBUG
  			{
  				/* not waiting anymore */
! 				uint32 nwaiters = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  				Assert(nwaiters < MAX_BACKENDS);
  			}
  #endif
--- 1202,1208 ----
  #ifdef LOCK_DEBUG
  			{
  				/* not waiting anymore */
! 				uint32 nwaiters PG_USED_FOR_ASSERTS_ONLY = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  				Assert(nwaiters < MAX_BACKENDS);
  			}
  #endif
*************** LWLockWaitForVar(LWLock *lock, uint64 *v
*** 1403,1409 ****
  #ifdef LOCK_DEBUG
  		{
  			/* not waiting anymore */
! 			uint32 nwaiters = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  			Assert(nwaiters < MAX_BACKENDS);
  		}
  #endif
--- 1403,1409 ----
  #ifdef LOCK_DEBUG
  		{
  			/* not waiting anymore */
! 			uint32 nwaiters PG_USED_FOR_ASSERTS_ONLY = pg_atomic_fetch_sub_u32(&lock->nwaiters, 1);
  			Assert(nwaiters < MAX_BACKENDS);
  		}
  #endif
